Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class SpotPrice

    java.lang.Object
      com.amazonaws.services.ec2.model.SpotPrice

    public class SpotPrice

extends Object

Constructor Summary
`SpotPrice()`

Method Summary
`String` | `getInstanceType()` Constraints: Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge
`String` | `getProductDescription()`
`String` | `getSpotPrice()`
`Date` | `getTimestamp()`
`void` | `setInstanceType(String instanceType)` Constraints: Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge
`void` | `setProductDescription(String productDescription)`
`void` | `setSpotPrice(String spotPrice)`
`void` | `setTimestamp(Date timestamp)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SpotPrice` | `withInstanceType(String instanceType)` Returns a reference to this object so that method calls can be chained together.
`SpotPrice` | `withProductDescription(String productDescription)` Returns a reference to this object so that method calls can be chained together.
`SpotPrice` | `withSpotPrice(String spotPrice)` Returns a reference to this object so that method calls can be chained together.
`SpotPrice` | `withTimestamp(Date timestamp)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpotPrice

    public SpotPrice()

Method Detail

### getInstanceType

    public String getInstanceType()

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Returns:
  See Also:
    `InstanceType`

### setInstanceType

    public void setInstanceType(String instanceType)

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` -
  See Also:
    `InstanceType`

### withInstanceType

    public SpotPrice withInstanceType(String instanceType)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` -
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceType`

### getProductDescription

    public String getProductDescription()

  Returns:

### setProductDescription

    public void setProductDescription(String productDescription)

  Parameters:
    `productDescription` -

### withProductDescription

    public SpotPrice withProductDescription(String productDescription)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescription` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSpotPrice

    public String getSpotPrice()

  Returns:

### setSpotPrice

    public void setSpotPrice(String spotPrice)

  Parameters:
    `spotPrice` -

### withSpotPrice

    public SpotPrice withSpotPrice(String spotPrice)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotPrice` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getTimestamp

    public Date getTimestamp()

  Returns:

### setTimestamp

    public void setTimestamp(Date timestamp)

  Parameters:
    `timestamp` -

### withTimestamp

    public SpotPrice withTimestamp(Date timestamp)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `timestamp` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.